FieldTraits< Data_T > Class Template Reference
Classes and functions used to implement this library » Templated utility classes

`#include <Traits.h>`

## Static Public Member Functions

static int | dataDims ()

## Static Public Attributes

static const int | k_dataDims = 3
| Dimensions of the given data type. i.e. 3 for V3f, 1 for float.

## Detailed Description

template<class Data_T>
class FieldTraits< Data_T >

Traits class that lets us answer how many components are in a given data type

Definition at line 173 of file Traits.h.

## Member Function Documentation

## dataDims()

template<class Data_T>

int FieldTraits< Data_T >::dataDims | ( |  | ) |

inline static

Definition at line 178 of file Traits.h.

{ return k_dataDims; }
FieldTraits::k_dataDims
static const int k_dataDims
Dimensions of the given data type. i.e. 3 for V3f, 1 for float.
Definition Traits.h:177

References k_dataDims.

Referenced by Hdf5Util::readSimpleData(), and Hdf5Util::writeSimpleData().

## Member Data Documentation

## k_dataDims

template<class Data_T>

const int FieldTraits< Data_T >::k_dataDims = 3

static

Dimensions of the given data type. i.e. 3 for V3f, 1 for float.

Definition at line 177 of file Traits.h.

Referenced by dataDims().

The documentation for this class was generated from the following file:

- export/Traits.h